(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_ss () Real)
(declare-fun inv_sx0 () Real)
(declare-fun inv_sy () Real)
(declare-fun inv_sy0 () Real)
(declare-fun inv_s () Real)
(declare-fun inv_x0x0 () Real)
(declare-fun inv_x0y () Real)
(declare-fun inv_x0y0 () Real)
(declare-fun inv_x0 () Real)
(declare-fun inv_yy () Real)
(declare-fun inv_yy0 () Real)
(declare-fun inv_y () Real)
(declare-fun inv_y0y0 () Real)
(declare-fun inv_y0 () Real)
(declare-fun inv_0 () Real)
(declare-fun phi1_s () Real)
(declare-fun phi1_x0 () Real)
(declare-fun phi1_y () Real)
(declare-fun syn1_s () Real)
(declare-fun phi1_y0 () Real)
(declare-fun phi1_0 () Real)
(declare-fun syn1_x0 () Real)
(declare-fun syn1_y () Real)
(declare-fun syn1_y0 () Real)
(declare-fun syn1_0 () Real)

(assert (not (and (= 0 inv_ss) (= 0 inv_sx0) (= 0 inv_sy) (= 0 inv_sy0) (= 0 inv_s) (= 0 inv_x0x0) (= 0 inv_x0y) (= 0 inv_x0y0) (= 0 inv_x0) (= 0 inv_yy) (= 0 inv_yy0) (= 0 inv_y) (= 0 inv_y0y0) (= 0 inv_y0) (= 0 inv_0))))
(assert (= 0 inv_x0x0))
(assert (= 0 (+ inv_x0y inv_x0y0)))
(assert (= 0 inv_x0))
(assert (= 0 (+ inv_y0y0 inv_yy inv_yy0)))
(assert (= 0 (+ inv_y inv_y0)))
(assert (= 0 inv_0))
(assert (= 0 (* (- 1) inv_ss)))
(assert (= 0 (* (- 1) inv_sx0)))
(assert (= 0 (* (- 1) inv_sy0)))
(assert (= 0 (+ (* (- 1) inv_s) 1)))
(assert (= 0 (* (- 1) inv_x0x0)))
(assert (= 0 (+ (* (- 1) inv_x0y0) (* (- 1) 1))))
(assert (= 0 (* (- 1) inv_x0)))
(assert (= 0 (* (- 1) inv_y0y0)))
(assert (= 0 (* (- 1) inv_y0)))
(assert (= 0 (* (- 1) inv_0)))
(assert (= 0 (* (- 1) (* inv_ss phi1_s))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_x0)) (* (- 1) (* inv_sx0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_y)) (* inv_ss syn1_s syn1_s) (* (- 1) (* inv_sy phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_ss phi1_y0)) (* (- 1) (* inv_sy0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_s)) (* (- 1) (* inv_ss phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0 phi1_x0)) (* (- 1) (* inv_x0x0 phi1_s)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_s syn1_x0)) (* (- 1) (* inv_sx0 phi1_y)) (* inv_sx0 syn1_s) (* (- 1) (* inv_sy phi1_x0)) (* (- 1) (* inv_x0y phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_sx0 phi1_y0)) (* (- 1) (* inv_sy0 phi1_x0)) (* (- 1) (* inv_x0y0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_x0)) (* (- 1) (* inv_sx0 phi1_0)) (* (- 1) (* inv_x0 phi1_s)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_s syn1_y)) (* (- 1) (* inv_sy phi1_y)) (* inv_sy syn1_s) (* (- 1) (* inv_yy phi1_s)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_s syn1_y0)) (* (- 1) (* inv_sy phi1_y0)) (* (- 1) (* inv_sy0 phi1_y)) (* inv_sy0 syn1_s) (* (- 1) (* inv_yy0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_y)) (* inv_s syn1_s) (* 2 (* inv_ss syn1_0 syn1_s)) (* (- 1) (* inv_sy phi1_0)) (* (- 1) (* inv_sy syn1_s)) (* (- 1) (* inv_y phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_sy0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_s phi1_y0)) (* (- 1) (* inv_sy0 phi1_0)) (* (- 1) (* inv_y0 phi1_s)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_s)) (* (- 1) (* inv_s phi1_0)))))
(assert (= 0 (* (- 1) (* inv_x0x0 phi1_x0))))
(assert (= 0 (+ (* inv_ss syn1_x0 syn1_x0) (* inv_sx0 syn1_x0) (* (- 1) (* inv_x0x0 phi1_y)) inv_x0x0 (* (- 1) (* inv_x0y phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0x0 phi1_y0)) (* (- 1) (* inv_x0y0 phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0 phi1_x0)) (* (- 1) (* inv_x0x0 phi1_0)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_x0 syn1_y)) (* inv_sx0 syn1_y) (* inv_sy syn1_x0) (* (- 1) (* inv_x0y phi1_y)) inv_x0y (* (- 1) (* inv_yy phi1_x0)))))
(assert (= 0 (+ (* 2 (* inv_ss syn1_x0 syn1_y0)) (* inv_sx0 syn1_y0) (* inv_sy0 syn1_x0) (* (- 1) (* inv_x0y phi1_y0)) (* (- 1) (* inv_x0y0 phi1_y)) inv_x0y0 (* (- 1) (* inv_yy0 phi1_x0)))))
(assert (= 0 (+ (* inv_s syn1_x0) (* 2 (* inv_ss syn1_0 syn1_x0)) (* inv_sx0 syn1_0) (* (- 1) (* inv_sy syn1_x0)) (* (- 1) (* inv_x0 phi1_y)) inv_x0 (* (- 1) (* inv_x0y phi1_0)) (* (- 1) inv_x0y) (* (- 1) (* inv_y phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0y0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_x0 phi1_y0)) (* (- 1) (* inv_x0y0 phi1_0)) (* (- 1) (* inv_y0 phi1_x0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_x0)) (* (- 1) (* inv_x0 phi1_0)))))
(assert (= 0 (+ (* inv_ss syn1_y syn1_y) (* inv_sy syn1_y) (* (- 1) (* inv_yy phi1_y)) inv_yy)))
(assert (= 0 (+ (* 2 (* inv_ss syn1_y syn1_y0)) (* inv_sy syn1_y0) (* inv_sy0 syn1_y) (* (- 1) (* inv_yy phi1_y0)) (* (- 1) (* inv_yy0 phi1_y)) inv_yy0)))
(assert (= 0 (+ (* inv_s syn1_y) (* 2 (* inv_ss syn1_0 syn1_y)) (* inv_sy syn1_0) (* (- 1) (* inv_sy syn1_y)) (* (- 1) (* inv_y phi1_y)) inv_y (* (- 1) (* inv_yy phi1_0)) (* (- 2) inv_yy))))
(assert (= 0 (+ (* inv_ss syn1_y0 syn1_y0) (* inv_sy0 syn1_y0) (* (- 1) (* inv_y0y0 phi1_y)) inv_y0y0 (* (- 1) (* inv_yy0 phi1_y0)))))
(assert (= 0 (+ (* inv_s syn1_y0) (* 2 (* inv_ss syn1_0 syn1_y0)) (* (- 1) (* inv_sy syn1_y0)) (* inv_sy0 syn1_0) (* (- 1) (* inv_y phi1_y0)) (* (- 1) (* inv_y0 phi1_y)) inv_y0 (* (- 1) (* inv_yy0 phi1_0)) (* (- 1) inv_yy0))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y)) inv_0 (* inv_s syn1_0) (* inv_ss syn1_0 syn1_0) (* (- 1) (* inv_sy syn1_0)) (* (- 1) (* inv_y phi1_0)) (* (- 1) inv_y) inv_yy)))
(assert (= 0 (* (- 1) (* inv_y0y0 phi1_y0))))
(assert (= 0 (+ (* (- 1) (* inv_y0 phi1_y0)) (* (- 1) (* inv_y0y0 phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_y0)) (* (- 1) (* inv_y0 phi1_0)))))
(assert (= 0 (* (- 1) (* inv_0 phi1_0))))

(check-sat)
(get-model)
